ArchiveTimeStampChain (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.tsp

## Class ArchiveTimeStampChain

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.tsp.ArchiveTimeStampChain

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ArchiveTimeStampChain
      extends ASN1Object

  Implementation of ArchiveTimeStampChain type, as defined in RFC4998 and RFC6283.

  An ArchiveTimeStampChain corresponds to a SEQUENCE OF ArchiveTimeStamps, and has the following ASN.1 Syntax:

  ArchiveTimeStampChain ::= SEQUENCE OF ArchiveTimeStamp

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArchiveTimeStampChain(ArchiveTimeStamp archiveTimeStamp)`
    `ArchiveTimeStampChain(ArchiveTimeStamp[] archiveTimeStamps)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArchiveTimeStampChain` | `append(ArchiveTimeStamp archiveTimeStamp)` Adds an `ArchiveTimeStamp` object to the archive timestamp chain.
    `ArchiveTimeStamp[]` | `getArchiveTimestamps()`
    `static ArchiveTimeStampChain` | `getInstance(java.lang.Object obj)` Return an ArchiveTimeStampChain from the given object.
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArchiveTimeStampChain

          public ArchiveTimeStampChain(ArchiveTimeStamp archiveTimeStamp)

    - #### ArchiveTimeStampChain

          public ArchiveTimeStampChain(ArchiveTimeStamp[] archiveTimeStamps)

  - ### Method Detail

    - #### getInstance

          public static ArchiveTimeStampChain getInstance(java.lang.Object obj)

      Return an ArchiveTimeStampChain from the given object.
      Parameters:
        `obj` - the object we want converted.
      Returns:
        an ArchiveTimeStampChain instance, or null.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getArchiveTimestamps

          public ArchiveTimeStamp[] getArchiveTimestamps()

    - #### append

          public ArchiveTimeStampChain append(ArchiveTimeStamp archiveTimeStamp)

      Adds an `ArchiveTimeStamp` object to the archive timestamp chain.
      Parameters:
        `archiveTimeStamp` - the `ArchiveTimeStamp` to add.
      Returns:
        returns the modified chain.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.